{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load crm_pagination %}


{% block content %}


    <div class="container-fluid">
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link" href="{% url 'client_info_information' client_id %}">Информация</a>
        </li>
        <li class="nav-item">
            <a class="nav-link active" href="#">Абонементы</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'client_info_history' client_id %}">История</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'client_info_installment' client_id %}" tabindex="-1" aria-disabled="true">Рассрочка</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
        <div class="content p-2">
            <div class="card shadow mb-4">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                            <tr>
                                <th><input id="mass-choice" type="checkbox"></th>
                                <th>Название</th>
                                <th>Дата активации</th>
                                <th>Дата деактивации</th>
                                <th>Список групп</th>
                                <th>Действия</th>
                            </tr>
                            </thead>

                            <tbody>
                                {% for sale in object_list %}
                                    <tr class="{{ sale.get_status }}">
                                        <td><input id="{{ sale.id }}" type="checkbox"></td>
                                        <td>{{ sale.abonement_name }}</td>
                                        <td>
                                            {% if sale.activation_date == None %}
                                                Не установлено
                                            {% else %}
                                                {{ sale.activation_date }}
                                            {% endif %}

                                        </td>
                                        <td>
                                            {% if sale.deactivation_date == None %}
                                                Не установлено
                                            {% else %}
                                                {{ sale.deactivation_date }}
                                            {% endif %}

                                        </td>
                                        <td>
                                            {% if sale.group.all|length > 3 %}
                                                {% for group in sale.group.all|slice:":3" %}
                                                    {{ group.name }}
                                                {% endfor %}  и больше
                                            {% else %}
                                                {% for group in sale.group.all %}
                                                    {{ group.name }}
                                                {% endfor %}
                                            {% endif %}

                                        </td>
                                        <td>
                                            <a href="{% url 'client_abonement_edit' sale.client.id sale.id %}"
                                               style="text-decoration: none">
                                                <i class="fa fa-edit"></i>
                                            </a>
                                            {% if not sale.freezed %}
                                            <a href="#" style="text-decoration: none">
                                                <i data-toggle="modal" data-target="#freezeModal-{{ sale.id }}" class="fas fa-snowflake"></i>
                                                {% include 'client/information/abonement/freeze_modal.html' with sale_id=sale.id freeze_form=freeze_form freeze_url=freeze_url abon_name=sale.abonement.name %}
                                            </a>
                                            {% endif %}
                                        </td>
                                    </tr>
                                {% empty %}
                                {% include 'no_data.html' %}
                            {% endfor %}

                            </tbody>
                    </table>
                    {% paginator %}
                </div>

            </div>
        </div>

    </div>

{% endblock %}

{% block custom_includes %}
    {{ block.super }}
    {% load static %}
    <script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
{% endblock %}